%define ff_epoch 0
%define ff_ver 2.0.0.6

%define _mozillaextpath %{_libdir}/firefox-%{ff_ver}/extensions

Summary: BlogRovr extension for firefox
Name: mozilla-firefox-ext-blogrovr
Version: 1.1.322
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/4689
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/15932/blogrovr-%{version}-fx.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
You don't have time to read ALL those Blogs! Let RovR do it for you. Rovr
fetches posts from your favorite blogs about whatever you're browsing, showing
summaries you can open in-place to read posts right on the page they are
about. Blogrovr also suggests popular items AND lets you Twitter about any site
you're on too.

Blogrover is a blog reader's best friend.

BlogRovR shows you what YOUR favorite bloggers have to say about anything
you're browsing, unintrusively and as you browse.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_mozillaextpath}/*


%changelog
* Wed Aug 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.322-1mdv2008.0
+ Revision: 57660
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-blogrovr

